package com.ruoyi.change.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.change.mapper.TbAssetAllocationMapper;
import com.ruoyi.change.domain.TbAssetAllocation;
import com.ruoyi.change.service.ITbAssetAllocationService;

/**
 * 资产调拨Service业务层处理
 * 
 * @author 原动力
 * @date 2023-05-15
 */
@Service
public class TbAssetAllocationServiceImpl implements ITbAssetAllocationService 
{
    @Autowired
    private TbAssetAllocationMapper tbAssetAllocationMapper;

    /**
     * 查询资产调拨
     * 
     * @param id 资产调拨主键
     * @return 资产调拨
     */
    @Override
    public TbAssetAllocation selectTbAssetAllocationById(Long id)
    {
        return tbAssetAllocationMapper.selectTbAssetAllocationById(id);
    }

    /**
     * 查询资产调拨列表
     * 
     * @param tbAssetAllocation 资产调拨
     * @return 资产调拨
     */
    @Override
    public List<TbAssetAllocation> selectTbAssetAllocationList(TbAssetAllocation tbAssetAllocation)
    {
        return tbAssetAllocationMapper.selectTbAssetAllocationList(tbAssetAllocation);
    }

    /**
     * 新增资产调拨
     * 
     * @param tbAssetAllocation 资产调拨
     * @return 结果
     */
    @Override
    public int insertTbAssetAllocation(TbAssetAllocation tbAssetAllocation)
    {
        return tbAssetAllocationMapper.insertTbAssetAllocation(tbAssetAllocation);
    }

    /**
     * 修改资产调拨
     * 
     * @param tbAssetAllocation 资产调拨
     * @return 结果
     */
    @Override
    public int updateTbAssetAllocation(TbAssetAllocation tbAssetAllocation)
    {
        return tbAssetAllocationMapper.updateTbAssetAllocation(tbAssetAllocation);
    }

    /**
     * 批量删除资产调拨
     * 
     * @param ids 需要删除的资产调拨主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetAllocationByIds(Long[] ids)
    {
        return tbAssetAllocationMapper.deleteTbAssetAllocationByIds(ids);
    }

    /**
     * 删除资产调拨信息
     * 
     * @param id 资产调拨主键
     * @return 结果
     */
    @Override
    public int deleteTbAssetAllocationById(Long id)
    {
        return tbAssetAllocationMapper.deleteTbAssetAllocationById(id);
    }
}
